multipolygon_collector.hpp File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include <vector>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/node_ref.hpp>`
`#include <osmium/osm/relation.hpp>`
`#include <osmium/osm/tag.hpp>`
`#include <osmium/osm/way.hpp>`
`#include <osmium/relations/collector.hpp>`
`#include <osmium/relations/detail/member_meta.hpp>`
Include dependency graph for multipolygon_collector.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::area::MultipolygonCollector< TAssembler >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::relations
| Code related to the assembly of OSM relations.
| osmium::area
| Code related to the building of areas (multipolygons) from relations.